Bug 954801 - [faf] bluedevil-1.3-0.6.rc2.fc18.x86_64 SIGSEGV in QMetaObject::activate
Summary: [faf] bluedevil-1.3-0.6.rc2.fc18.x86_64 SIGSEGV in QMetaObject::activate
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bluedevil
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cd1b03ff73678239ee1624df3f4...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-22 12:47 UTC by abrt-bot
Modified: 2014-02-05 20:54 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-05 20:54:17 UTC


Attachments (Terms of Use)

Description abrt-bot 2013-04-22 12:47:16 UTC
Description of problem: 
Faf server recevied number of crash reports for this package.

Problem URL:
https://retrace.fedoraproject.org/faf/problems/bthash/cd1b03ff73678239ee1624df3f429c04569a0d5a

Version-Release number of selected component:
bluedevil-1.3-0.6.rc2.fc18.x86_64

Additional info:
first occurence: 2013-01-23 16:03 UTC
reports count: 32
executable: /usr/libexec/kde4/bluedevil-requestpin

Truncated backtrace:
#   Function                                    Path                                    Source                                                                                
0   QMetaObject::activate                       /usr/lib64/libQtCore.so.4               kernel/qobject_p.h:239                                                                
1   KNotification::activated                    /usr/lib64/libkdeui.so.5                /usr/src/debug/kdelibs-4.9.5/x86_64-redhat-linux-gnu/kdeui/knotification.moc:144      
2   KNotification::activate                     /usr/lib64/libkdeui.so.5                /usr/src/debug/kdelibs-4.9.5/kdeui/notifications/knotification.cpp:240                
3   notificationActivated                       /usr/lib64/libkdeui.so.5                /usr/src/debug/kdelibs-4.9.5/kdeui/notifications/knotificationmanager.cpp:84          
4   QMetaObject::activate                       /usr/lib64/libQtCore.so.4               kernel/qobject.cpp:3541                                                               
5   notificationActivated                       /usr/lib64/libkdeui.so.5                /usr/src/debug/kdelibs-4.9.5/x86_64-redhat-linux-gnu/kdeui/knotify_interface.moc:127  
6   OrgKdeKNotifyInterface::qt_static_metacall  /usr/lib64/libkdeui.so.5                /usr/src/debug/kdelibs-4.9.5/x86_64-redhat-linux-gnu/kdeui/knotify_interface.moc:66   
7   OrgKdeKNotifyInterface::qt_metacall         /usr/lib64/libkdeui.so.5                /usr/src/debug/kdelibs-4.9.5/x86_64-redhat-linux-gnu/kdeui/knotify_interface.moc:116  
8   deliverCall                                 /usr/lib64/libQtDBus.so.4               /qdbusintegrator.cpp:951                                                              
9   QObject::event                              /usr/lib64/libQtCore.so.4               kernel/qobject.cpp:1200                                                               
10  QApplicationPrivate::notify_helper          /usr/lib64/libQtGui.so.4                kernel/qapplication.cpp:4563                                                          
11  QApplication::notify                        /usr/lib64/libQtGui.so.4                kernel/qapplication.cpp:4423                                                          
12  QCoreApplication::notifyInternal            /usr/lib64/libQtCore.so.4               kernel/qcoreapplication.cpp:959                                                       
13  QCoreApplicationPrivate::sendPostedEvents   /usr/lib64/libQtCore.so.4               kernel/qcoreapplication.cpp:1586                                                      
14  postEventSourceDispatch                     /usr/lib64/libQtCore.so.4               kernel/qeventdispatcher_glib.cpp:280                                                  
15  g_main_context_dispatch                     /usr/lib64/libglib-2.0.so.0             /usr/src/debug/glib-2.34.2/glib/gmain.c:2715                                          
16  g_main_context_iterate                      /usr/lib64/libglib-2.0.so.0             /usr/src/debug/glib-2.34.2/glib/gmain.c:3290                                          
17  g_main_context_iteration                    /usr/lib64/libglib-2.0.so.0             /usr/src/debug/glib-2.34.2/glib/gmain.c:3352                                          
18  QEventDispatcherGlib::processEvents         /usr/lib64/libQtCore.so.4               kernel/qeventdispatcher_glib.cpp:424                                                  
19  QGuiEventDispatcherGlib::processEvents      /usr/lib64/libQtGui.so.4                ../../src/corelib/global/qglobal.h:2314                                               
20  QEventLoop::processEvents                   /usr/lib64/libQtCore.so.4               kernel/qeventloop.cpp:150                                                             
21  QEventLoop::exec                            /usr/lib64/libQtCore.so.4               kernel/qeventloop.cpp:203                                                             
22  QCoreApplication::exec                      /usr/lib64/libQtCore.so.4               kernel/qcoreapplication.cpp:1220                                                      
23  main                                        /usr/libexec/kde4/bluedevil-requestpin  /usr/src/debug/bluedevil-1.3/src/daemon/helpers/requestpin/requestpin.h:36            


This ticket was created automatically. If this report is malformed or not helpful
please let us know on crash-catcher@lists.fedorahosted.org so we can improve it.

Comment 1 Fedora End Of Life 2013-12-21 13:04:52 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2014-02-05 20:54:17 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.